Subject: Need advices on Euricanthae...

From: jh (sa)
Date: 12 Mar 1995 14:38:12 GMT

Hi, I'm looking for EVERY datas available on EURICANTHAE, especially the one
called - direct translation I'm afraid..- CAPARISONED PHASM..
They're about 15 cms long, female is green, male is brown and are from
Indonesia...
Thank you all !